//---------------------------------------------------------------------------

#ifndef FRAME_ItsCrossFH
#define FRAME_ItsCrossFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "CDSItsCrossInfoF.h"
#include "cxButtons.hpp"
#include "cxCalc.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxEdit.hpp"
#include "cxGraphics.hpp"
#include "cxInplaceContainer.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include "cxTL.hpp"
#include "cxTLdxBarBuiltInMenu.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinsCore.hpp"
//---------------------------------------------------------------------------

class TFRAMEItsCross : public TFrame
{
__published:	// IDE-managed Components
    TcxTreeList *tlItsCross;
    TcxTreeListColumn *colItsCross;
    TcxTreeListColumn *colMem;
    TPanel *Panel2;
    TcxLabel *cxLabel5;
    TcxTextEdit *EdFilter;
    TcxButton *btnFilter;
    TcxButton *btnNoFilter;
    TcxLabel *lblAll;
    void __fastcall EdFilterKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
    void __fastcall btnFilterClick(TObject *Sender);
    void __fastcall btnNoFilterClick(TObject *Sender);
private:	// User declarations
    bool    FCompleted;
public:
    void __fastcall InitFilter(bool AShow);
    void __fastcall InitItsCross();
    void __fastcall FilterItsCross(String AFilter);
    void __fastcall FilterItsCrossA(String AFilter);
    void __fastcall UnFilterItsCross();
    AnsiString __fastcall GetHTMLString();
    void __fastcall GetCondition(STCondition& ACondition);

    String FSelNm;

public:		// User declarations
    __fastcall TFRAMEItsCross(TComponent* Owner);

};
//---------------------------------------------------------------------------
//extern PACKAGE TFRAMEItsCross *FRAMEItsCross;
//---------------------------------------------------------------------------
#endif

